/*
 * Copyright (c) 2013 - 2016 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @ingroup CAPI_UI_FRAMEWORK
 * @defgroup MINICONTROL_LIBRARY Minicontrol
 * @section MINICONTROL_LIBRARY_OVERVIEW Overview
 * <table>
 * <tr>
 *    <th>API</th>
 *    <th>Description</th>
 * </tr>
 * <tr>
 *    <td>@ref MINICONTROL_PROVIDER_MODULE </td>
 *    <td>Provides functions for creating EFL socket window. Application developers can make a minicontrol by composing ELF objects on this socket window</td>
 * </tr>
 * <tr>
 *    <td>@ref MINICONTROL_VIEWER_MODULE </td>
 *    <td>Provides functions for displaying EFL socket window.<br>
 *    Minicontrol holders calls this functions to attach minicontrols on UI area.</td>
 * </tr>
 * </table>
 */

/**
 * @ingroup MINICONTROL_LIBRARY
 * @defgroup MINICONTROL_PROVIDER_MODULE  Provider
 * @brief Minicontrol Provider APIs.
 * @section MINICONTROL_PROVIDER_MODULE_HEADER Required Header
 * \#include <minicontrol-provider.h>
 *
 * @section MINICONTROL_PROVIDER_MODULE_OVERVIEW Overview
 * It provides functions for creating EFL socket window.
 */

/**
 * @ingroup MINICONTROL_LIBRARY
 * @defgroup MINICONTROL_VIEWER_MODULE  Viewer
 * @brief Minicontrol Viewer APIs.
 * @section MINICONTROL_VIEWER_MODULE_HEADER Required Header
 * \#include <minicontrol-viewer.h>
 *
 * @section MINICONTROL_VIEWER_MODULE_OVERVIEW Overview
 * It provides functions for displaying EFL socket window.
 */

/**
 * @section CAPI_MINICONTROL_MODULE_FEATURE Related Features
 * This API is related with the following features:\n
 * - http://tizen.org/feature/minicontrol\n
 * It is recommended to design feature related codes in your application for reliability.\n
 * You can check if a device supports the related features for this API by using @ref CAPI_SYSTEM_SYSTEM_INFO_MODULE, thereby controlling the procedure of your application.\n
 * To ensure your application is only running on the device with specific features, please define the features in your manifest file using the manifest editor in the SDK.\n
 * More details on featuring your application can be found from <a href="https://developer.tizen.org/development/tizen-studio/native-tools/configuring-your-app/manifest-text-editor#feature"><b>Feature Element</b>.</a>
 */
